package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class EStmtC extends BasicExpr {
    public final Statement statement_;

    public EStmtC(Statement p1) {

        statement_ = p1;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExpr.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return this.statement_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EStmtC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EStmtC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EStmtC) o;
            return this.statement_.equals(x.statement_);
        }
        return false;
    }


}
